/*
 Theme Name:   Made I.T. - thiomaterials.com
 Theme URI:    https://www.madeit.be
 Description:  Child theme of Made I.T.
 Author:       Made I.T.
 Author URI:   https://www.madeit.be
 Template:     madeit
 Version:      1.0.1
 License:      GNU General Public License v2 or later
 License URI:  http://www.gnu.org/licenses/gpl-2.0.html
 Text Domain:  thiomaterials
*/

@import url('https://fonts.googleapis.com/css2?family=Prompt:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

body {
    font-family: "Prompt", serif;
    font-weight: 400;
    font-style: normal;
}

.custom-logo {
    height: 50px !important;
    width: auto !important;
    margin-block: 20px 20px;
    transition: all 0.3s ease-in-out;
}
@media(max-width: 991px) {
    .custom-logo {
                height: auto !important;
        width: 200px !important;
    }
}
@media(min-width: 992px) {
    .has-scroll .upper-top-navbar {
        /* display: none !important; */
        opacity: 0;
        height: 0px;
        transition: all 0.3s ease-in-out;
    }

    .has-scroll #site-navigation {
        margin-bottom: 25px;
        margin-top: 25px;
        transition: all 0.3s ease-in-out;
    }
    .has-scroll .custom-logo {
        height: 30px !important;
        margin-block: 5px;
        transition: all 0.3s ease-in-out;
    }
    .has-scroll .has-upper-top-navbar .flex-grow {
        margin-top: 0px;
    }
}

.flex-grow > div > .wp-block-madeit-block-content:first-child {
    margin-top: 65px !important;
}

h1, .h1, h2, .h2, h3, .h3, h4, .h4, h5, .h5, h6, .h6 {
    font-family: "Prompt", serif;
    color: #656464;
    font-weight: 500;
    text-transform: uppercase;
}

h1, .h1 {
    font-weight: 300;
    font-size: 2rem;
    text-align: justify;
}

.navbar a {
    font-weight: 400;
}
.navbar-dark .navbar-nav .nav-link {
    color: white;
}
.navbar-dark .navbar-nav .show > .nav-link, .navbar-dark .navbar-nav .active > .nav-link, .navbar-dark .navbar-nav .nav-link.show, .navbar-dark .navbar-nav .nav-link.active {
    color: var(--wp--preset--color--primary);
    border-bottom: 1px solid var(--wp--preset--color--primary);
}

body {
    font-size: var(--wp--preset--font-size--normal);
    line-height: var(--wp--custom--line-height--body);
}
h1, .h1 {
    font-size: var(--wp--preset--font-size--h-1);
}
@media (max-width: 767px) {
    h1, .h1, .has-h-1-font-size {
        font-size: 2.5rem !important;
    }
}

h2, .h2 {
    font-size: var(--wp--preset--font-size--h-2);
}

h3, .h3 {
    font-size: var(--wp--preset--font-size--h-3);
    font-weight: 300;
}

h4, .h4 {
    font-size: var(--wp--preset--font-size--h-4);
}

h5, .h5 {
    font-size: var(--wp--preset--font-size--h-5);
}
h6, .h6 {
    font-size: var(--wp--preset--font-size--h-6);
}

h1[id], h2[id], h3[id], h4[id] {
    scroll-margin-top: 100px;
}


#googlemaps {
    height: 350px;
    width: 100%;
}

form .required {
    color: var(--wp--preset--color--danger);
}

/* Woocommerce Cart */
.menu-item.shopping-menu-item {
    position: relative;
}
.menu-item.shopping-menu-item svg {
    height: 16px !important;
    margin-left: 0 !important;
    fill: white;
}
.menu-item.shopping-menu-item .shopping-cart-count {
    position: absolute;
    top: -10px;
    right: -9px;
    background-color: var(--wp--preset--color--danger);
    color: white;
    border-radius: 50px;
    padding: 0px 2px;
    aspect-ratio: auto;
    width: 15px;
    height: 15px;
    font-size: xx-small;
    display: flex;
    justify-content: center;
    align-items: center;
}

nav.navbar {
    padding-top: 0 !important;
    padding-bottom: 0 !important;
}
.upper-top-navbar {
    position: absolute;
    top: 0px;
    transition: all 0.3s ease-in-out;
}
.upper-top-navbar * {
    padding-inline: 0;
}
.upper-top-navbar #upper-top-menu {
    justify-content: end;
}
.upper-top-navbar .menu li > a.nav-link:hover {
    color: var(--wp--preset--color--primary) !important;
}
.upper-top-navbar .menu li > a.nav-link {
    color: var(--wp--preset--color--secondary) !important;
    padding-inline: 10px;
}
.upper-top-navbar .menu li.active > a.nav-link {
    background-color: transparent !important;
    color: var(--wp--preset--color--primary) !important;
}
#secondary-navigation {
    margin-bottom: -30px;
    padding-top: 10px;
}

/* MENU UNDERLINE SLIDE IN- OUT */
.menu li.active a.nav-link {
    color: white;
    background-color: var(--wp--preset--color--primary);
}
#site-navigation {
    transition: all 0.3s ease-in-out;
}
@media(min-width: 768px) {
    .main-navigation {
        /* transform: translateY(20px); */
        margin-top: 25px;
    }
    .main-navigation .menu li > a.nav-link {
        background-color: transparent;
        display: inline-block;
        position: relative;
        padding-inline: 0 !important;
        margin-inline: 10px;
    }

    .main-navigation .menu li a.nav-link:before {
        content: "";
        position: absolute;
        left: 0;
        width: 0;
        height: 2px;
        bottom: -0.1rem;
        background: var(--wp--preset--color--primary);
    }

    .main-navigation .menu li a.nav-link:hover:before{
        width: 100%;
        background: var(--wp--preset--color--primary);
        transition: width .5s ease;
    }

    .main-navigation .menu li a.nav-link:after {
        content: "";
        position: absolute;
        right: 0;
        background: #fff;
        -webkit-transition: width .8s cubic-bezier(.22,.61,.36,1);
        transition: width .8s cubic-bezier(.22,.61,.36,1);
        width: 0;
        height: 2px;
        bottom: -0.1rem;
        background: var(--wp--preset--color--primary);
    }

    .main-navigation .menu li a.nav-link:hover:after {
        width: 100%;
        background: transparent;
        transition: all 0s ease;
    }

    
    .main-navigation .menu li.active a.nav-link:before {
        width: 100%;
        background: var(--wp--preset--color--primary);
        transition: width .5s ease;
    }

    .main-navigation .menu li.active a.nav-link:after {
        width: 100%;
        background: transparent;
        transition: all 0s ease;
    }

    .main-navigation .menu li.active > a.nav-link {
        color: var(--wp--preset--color--primary);
        border-color: var(--wp--preset--color--primary);
        background-color: transparent;
        border-bottom: 1px solid var(--wp--preset--color--primary);
    }
    .main-navigation .menu li > a.nav-link:hover {
        color: var(--wp--preset--color--secondary) !important;
        border-color: var(--wp--preset--color--primary);
        background-color: transparent;
    }
    /*? Dropdown */
    .main-navigation .menu .dropdown > a.nav-link:after {
        border: none !important;
    }
    .main-navigation .menu .dropdown > a.nav-link .caret:after {
        content: '\f0d7';
        display: inline;
        color: var(--wp--preset--color--secondary);
        font-family: 'Font Awesome 5 Free';
        font-weight: 900;
    }
    .main-navigation .menu .dropdown [aria-expanded="true"] > a.nav-link .caret:after {
        content: "\f0d8";
        display: inline;
        color: var(--wp--preset--color--primary);
        font-family: 'Font Awesome 5 Free';
        font-weight: 900;
    }

    .main-navigation .menu .dropdown-menu {
        border: none !important;
        box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16);
    }
    .main-navigation .menu .dropdown-menu li a.nav-link {
        border: none !important;
    }

    .main-navigation .menu .dropdown-menu li.active a.nav-link {
        color: white;
        background-color: var(--wp--preset--color--primary);
        display: block;
    }
}



.wp-block-button__link, .btn, .wp-block-madeitforms-submit-button__link {
    border: 4px solid transparent;
    transition: all 0.2s ease-in-out;
}
.wp-block-button__link.has-success-background-color:hover, .wp-block-madeitforms-submit-button__link.has-success-background-color:hover {
    background-color: transparent !important;
    color: var(--wp--preset--color--success) !important;
    border-color: var(--wp--preset--color--success) !important;
}
.wp-block-button__link.has-primary-background-color:hover, .btn-primary:hover {
    background-color: transparent !important;
    color: var(--wp--preset--color--primary) !important;
    border-color: var(--wp--preset--color--primary) !important;
}
.wp-block-button__link.has-secondary-background-color:hover {
    background-color: transparent !important;
    color: var(--wp--preset--color--secondary) !important;
    border-color: var(--wp--preset--color--secondary) !important;
}
.wp-block-button__link.has-danger-background-color:hover {
    background-color: transparent !important;
    color: var(--wp--preset--color--danger) !important;
    border-color: var(--wp--preset--color--danger) !important;
}

/* Column max container size UPDATE*/
.wp-block-madeit-block-content-column.keep-max-container-size:first-child:not(.max-end-size) {
    padding-right: calc(var(--bs-gutter-x));
    padding-left: calc(var(--bs-gutter-x));
}
.wp-block-madeit-block-content-column.keep-max-container-size:last-child:not(.max-start-size) {
    padding-right: calc(var(--bs-gutter-x));
    padding-left: calc(var(--bs-gutter-x));
}
@media (min-width: 576px) {
    .wp-block-madeit-block-content-column.keep-max-container-size:first-child:not(.max-end-size) {
        padding-left: calc((100vw - 540px) / 2 + 15px) !important;
        padding-right: calc((100vw - 540px) / 2 + 15px) !important;
    }
    .wp-block-madeit-block-content-column.keep-max-container-size:last-child:not(.max-start-size) {
        padding-right: calc((100vw - 540px) / 2 + 15px) !important;
        padding-left: calc((100vw - 540px) / 2 + 15px) !important;
    }
}

@media (min-width: 768px) {
    .wp-block-madeit-block-content-column.keep-max-container-size:first-child:not(.max-end-size) {
        padding-left: calc((100vw - 720px) / 2 + 15px) !important;
        padding-right: calc((100vw - 720px) / 2 + 15px) !important;
    }
    .wp-block-madeit-block-content-column.keep-max-container-size:last-child:not(.max-start-size) {
        padding-right: calc((100vw - 720px) / 2 + 15px) !important;
        padding-left: calc((100vw - 720px) / 2 + 15px) !important;
    }
}

@media (min-width: 992px) {
    .wp-block-madeit-block-content-column.keep-max-container-size:first-child:not(.max-end-size) {
        padding-left: calc((100vw - 960px) / 2 + 15px) !important;
        padding-right: calc(var(--bs-gutter-x) * 0.5) !important;
    }
    .wp-block-madeit-block-content-column.keep-max-container-size:last-child:not(.max-start-size) {
        padding-right: calc((100vw - 960px) / 2 + 15px) !important;
        padding-left: calc(var(--bs-gutter-x) * 0.5) !important;
    }
}

@media (min-width: 1200px) {
    .wp-block-madeit-block-content-column.keep-max-container-size:first-child:not(.max-end-size) {
        padding-left: calc((100vw - 1140px) / 2 + 15px) !important;
    }
    .wp-block-madeit-block-content-column.keep-max-container-size:last-child:not(.max-start-size) {
        padding-right: calc((100vw - 1140px) / 2 + 15px) !important;
    }
}

@media (min-width: 1400px) {
    .wp-block-madeit-block-content-column.keep-max-container-size:first-child:not(.max-end-size) {
        padding-left: calc((100vw - 1320px) / 2 + 15px) !important;
    }
    .wp-block-madeit-block-content-column.keep-max-container-size:last-child:not(.max-start-size) {
        padding-right: calc((100vw - 1320px) / 2 + 15px) !important;
    }
}


p {
    color: #858484;
}
a {
    color: #858484 !important;
    text-decoration: none;
}
.has-info-color.has-text-color.has-link-color a {
    color: var(--wp--preset--color--info) !important;
}

.mt-neg-5 {
    margin-top: -210px;
    z-index: 1;
    position: relative;
}

.wp-block-image img {
    border-radius: 5px;
}
footer .wp-block-image img {
    border-radius: 0;
}

.gap-30 {
    gap: 30px;
}


/* Footer */
footer.site-footer {
    background-color: var(--wp--preset--color--info) !important;
    /* border-radius: 50px 50px 0 0 !important; */
}
footer.site-footer .row {
    margin-bottom: 0 !important;
}


.wp-block-media-text>.wp-block-media-text__content {
    padding: 0 0 0 8%;
}


/* Card animation */

.card {
    border: none !important;
    border-radius: 5px;
    box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16);
    padding: 12px !important;
}
.card_animation {
    position: relative;
    overflow: hidden;
    max-width: 25%;
    border: none !important;
    box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16);
    padding: 0 !important;
}
.card_animation .card-body {
    position: relative;
    padding: 0 !important;
}
.card_animation .card-body p {
    margin: 0 !important;
}
.card_animation .card-body p.has-background {
    position: absolute;
    top: 10px;
    right: 20px;
    padding: 1px 25px;
    width: max-content;
    border-radius: 5px;
}
.card_animation .card-body figure {
    margin: 0 !important;
}
.card_animation .card-body .slide_up {
    position: absolute;
    bottom: -100%;
    left: 0;
    right: 0;
    background-color: #fed42bb9;
    padding: 20px;
    border-radius: 5px;
    transition: all 0.5s ease;
}
.card_animation:hover .card-body .slide_up {
    bottom: 0;
    transition: all 0.5s ease;
}



/* Blog post */
.blog-post {
    margin: 0;
    height: 100%;
    border: none !important;
    border-radius: 5px;
    box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16);
    padding: 12px !important;
}
.blog-post header {
    margin: 0 auto 20px;
}
.blog-post .post-thumbnail img {
    border-radius: 5px;
}
.blog-post .post-thumbnail img {
    max-height: 180px;
    height: 180px;
    object-fit: cover;
    width: 100%;
}
.blog-post .cat-link {
    transform: translateY(-50%);
    padding: 1px 25px;
    border-radius: 5px;
    background-color: #fed42bb9;
}


/* Slider */
.heading_container-slider {
    position: relative;
    width: 100%;
    height: auto;
    overflow: hidden;
}
/* .heading_container-slider:after {
    content: "";
    position: absolute;
    top: 0%;
    transform: rotate(2deg);
    left: 0;
    right: 0;
    width: 70%;
    margin: auto;
    height: calc(100% + 50px);
    background-image: url('/wp-content/uploads/2025/02/cropped-THIO_Favicon.png');
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
    z-index: -1;
    opacity: .5;
} */
.heading_content-slider_Fcon {
    height: 100% !important;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
}
/* .heading_content-slider_Fcon::before {
    content: "";
    position: absolute;
    top: 0%;
    left: 0;
    right: 0;
    width: 100%;
    margin: auto;
    height: calc(100% + -3px);
    background-color: white;
    z-index: -1;
    opacity: 1;
} */
.heading_content-slider_Fcon::after {
    content: "";
    position: absolute;
    top: -8%;
    transform: rotate(2deg);
    left: 0;
    right: 0;
    width: 70%;
    margin: auto;
    height: calc(100% + 45px);
    background-image: url('/wp-content/uploads/2025/02/cropped-THIO_Favicon.png');
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
    z-index: 1;
    opacity: .3;
    pointer-events: none;
}
@media (max-width: 1335px) {
    .heading_content-slider_Fcon::after {
        width: 72.5%;
    }
}
.z-index-1 {
    z-index: 1;
}
.heading_content-slider {
    z-index: 0;
    width: 100%;
    min-height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    justify-content: flex-end;
}
.heading_content-slider figure {
    width: 70% !important;
    min-height: 100%;
}
.heading_content-slider img {
    width: 100%;
    min-height: 100%;
    position: absolute;
    top: 0;
    left: 0;
}
.heading_content-slider::after {
    content: '';
    position: absolute;
    top: 0;
    right: 0;
    width: 70%;
    height: 100%;
    background-image: linear-gradient(90deg, var(--wp--preset--color--info) 20%, rgba(0, 0, 0, 0) 100%);
}
@media (max-width: 991px) {
    .heading_content-slider::after {
        background-image: linear-gradient(90deg, var(--wp--preset--color--info) 20%, rgb(255 255 255 / 60%) 100%);
    }
}

.flex-grow p {
    text-align: justify;
}
.flex-grow p.has-text-align-center {
    text-align: center;
}


.borderR50 {
    border-radius: 5px;
}
.borderR50 img {
    border-radius: 5px;
}
.single-post {
    font-size: 1.1rem;
}


/* TIMELINE */

 .timeline {
	 border-left: 4px solid var(--wp--preset--color--primary);
	 border-bottom-right-radius: 4px;
	 border-top-right-radius: 4px;
	 background: rgba(255,255,255,0.03);
	 margin: 50px auto;
	 position: relative;
	 padding: 50px;
	 list-style: none;
	 text-align: left;
}
 .timeline li {
	 border-bottom: 1px dashed rgb(0, 0, 0);
	 padding-bottom: 25px;
	 margin-bottom: 50px;
	 position: relative;
}
 .timeline li:last-of-type {
	 padding-bottom: 0;
	 margin-bottom: 0;
	 border: none;
}
 .timeline li:before, .timeline li:after {
	 position: absolute;
	 display: block;
	 top: 0;
}
 .timeline li:before {
	 left: -217.5px;
	 color: rgba(255,255,255,0.4);
	 content: attr(data-date);
	 text-align: right;
	 font-weight: 100;
	 font-size: 0.9em;
	 min-width: 120px;
	 font-family: 'Saira', sans-serif;
}
 .timeline li:after {
	 box-shadow: 0 0 0 4px var(--wp--preset--color--primary);
	 left: -57.85px;
	 background: var(--wp--preset--color--primary);
	 border-radius: 50%;
	 height: 11px;
	 width: 11px;
	 content: "";
	 top: 5px;
}
 



/* Image same height as text */
@media (min-width: 992px) {
    .container.d-flex.img-height .row > .wp-block-madeit-block-content-column,
    .container.d-flex.img-height .row > .wp-block-madeit-block-content-column > figure,
    .container.d-flex.img-height .row > .wp-block-madeit-block-content-column > figure img {
        height: 100%;
        object-fit: cover;
        /* height: max-content; */
    }
    
    .container-fluid.d-flex.img-height {
        display: block !important;
    }
    .container-fluid.d-flex.img-height .container {
        display: flex;
    }
    .container-fluid.d-flex.img-height .wp-block-madeit-block-content-column figure,
    .container.d-flex.img-height .wp-block-madeit-block-content-column figure {
        margin: 0 !important;
    }
    .container-fluid.d-flex.img-height .container .row > .wp-block-madeit-block-content-column,
    .container-fluid.d-flex.img-height .container .row > .wp-block-madeit-block-content-column > figure,
    .container-fluid.d-flex.img-height .container .row > .wp-block-madeit-block-content-column > figure img {
        height: 100%;
        
        object-fit: cover;
    }
    
}



[aria-label="Footer"] {
    justify-content: center;
    column-gap: 100px;
}
.footer-widget-1,
.footer-widget-2,
.footer-widget-4,
.footer-widget-5 {
    max-width: max-content;
    height: max-content;
}
.footer-abolute {
    position: absolute;
    left: 0;
    right: 0;
    margin: auto;
}
@media (max-width: 767px) {
    .footer-widget-1,
    .footer-widget-2,
    .footer-widget-4,
    .footer-widget-5 {
        max-width: 33%;
        flex: 1 0 33%;
    }
    .footer-widget-5 > section:first-child,
    .footer-widget-4 > section:first-child {
        display: none;
    }
}


.ms-image img {
    border-radius: 5px;
}

@media (max-width: 1200px) {
    .none-1200 {
    display: none;
}
}

@media (max-width: 991px) {
    .flex-991-auto {
                flex-basis: auto !important;
    }
}

.wp-block-table thead {
    border-bottom: 0px solid;
}

.colspan-top-right thead tr th:last-child {
    display: none;
}

.page-id-24 td {
    border: none !important;
}


.full-image img {
    width: 100% !important;
    height: 100% !important;
}


@media (max-width: 600px) {
	.mbile-5 .wp-block-media-text__media img {
		width: 20% !important;
		margin-bottom: 30px;
    	margin-left: 30px;
	}
}
/*
.aagb__accordion_body--show {
    display: block !important;
}
*/